GNU bug report logs - #50796
[PATCH] gnu: Add pn.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Antero Mejr <antero@HIDDEN>; Keywords: patch; dated Sat, 25 Sep 2021 05:42:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50796 <at> debbugs.gnu.org:


Received: (at 50796) by debbugs.gnu.org; 29 Sep 2021 11:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 07:42:29 2021
Received: from localhost ([127.0.0.1]:47928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVXym-0001Mm-MF
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:42:28 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:55540
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mVXyk-0001MX-MV
 for 50796 <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:42:27 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1632915740;
 bh=EtseN51nB9zg8dnQHbY4+a7laxgnebkwo4cKxNIVsyM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=UGiR6DZo4GVUFEeyZZiE9b1tenFsxT/0PbZqyU9Qp4byxIIPeKhvt/BRJpukj7+Ne
 9nXJMG8iWperYkwKpn6+MMIz+kWIr5GBdB1FB++LQUAZ3CRqoK4IXELXQNfvAHmMT2
 W9JMXHgt7UE3Ay+xVVDWboN4N/bWy5bwtkApHKbI=
To: Antero Mejr via Guix-patches via <guix-patches@HIDDEN>,
 50796 <at> debbugs.gnu.org
Subject: Re: [bug#50796] [PATCH 1/2] gnu: Add libphonenumber.
In-Reply-To: <20210928205649.27328-2-antero@HIDDEN>
References: <20210928205649.27328-1-antero@HIDDEN>
 <20210928205649.27328-2-antero@HIDDEN>
Date: Wed, 29 Sep 2021 13:42:15 +0200
Message-ID: <87wnmz1uco.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:
 > * gnu/packages/telephony.scm (libphonenumber): New variable. > --- >
 gnu/packages/telephony.scm
 | 38 ++++++++++++++++++++++++++++++++++++++ > 1 file changed, 38 insertions(+)
 > > diff --git a/gnu/pa [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50796
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:
    > * gnu/packages/telephony.scm (libphonenumber): New variable. > --- > gnu/packages/telephony.scm
    | 38 ++++++++++++++++++++++++++++++++++++++ > 1 file changed, 38 insertions(+)
    > > diff --git a/gnu/pa [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:

> * gnu/packages/telephony.scm (libphonenumber): New variable.
> ---
>  gnu/packages/telephony.scm | 38 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 38 insertions(+)
>
> diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
> index 48bbe12920..50b5790ae3 100644
> --- a/gnu/packages/telephony.scm
> +++ b/gnu/packages/telephony.scm
> @@ -20,6 +20,7 @@
>  ;;; Copyright =C2=A9 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN=
om>
>  ;;; Copyright =C2=A9 2020 Vincent Legoll <vincent.legoll@HIDDEN>
>  ;;; Copyright =C2=A9 2021 LibreMiami <packaging-guix@HIDDEN>
> +;;; Copyright =C2=A9 2021 Antero Mejr <antero@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -54,12 +55,14 @@
>    #:use-module (gnu packages documentation)
>    #:use-module (gnu packages file)
>    #:use-module (gnu packages protobuf)
> +  #:use-module (gnu packages gawk)
>    #:use-module (gnu packages gettext)
>    #:use-module (gnu packages gl)
>    #:use-module (gnu packages glib)
>    #:use-module (gnu packages gnome)
>    #:use-module (gnu packages gnupg)
>    #:use-module (gnu packages gtk)
> +  #:use-module (gnu packages icu4c)
>    #:use-module (gnu packages image)
>    #:use-module (gnu packages libcanberra)
>    #:use-module (gnu packages linphone)
> @@ -907,3 +910,38 @@ Initiation Protocol (SIP) and a multimedia framework=
.")
>  telephony functionality into custom Telegram clients.")
>      (home-page "https://github.com/zevlg/libtgvoip")
>      (license license:unlicense)))
> +
> +(define-public libphonenumber
> +  (package
> +    (name "libphonenumber")
> +    (version "8.12.33")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/google/libphonenumber")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +         (base32
> +          "0r12icyig6jy0v87j9n3w14acfa2yfckzzfbmnjx1hww6qc9ih25"))))
> +    (build-system cmake-build-system)
> +    (arguments
> +     `(#:phases
> +        (modify-phases %standard-phases
> +          (add-after 'unpack 'enter-dir
> +            (lambda _ (chdir "cpp")))
> +          (replace 'check
> +            (lambda _ (invoke "./libphonenumber_test"))))))

Great that you got the tests to run; however this =E2=80=98check=E2=80=99 p=
hase doesn=E2=80=99t
respect the =E2=80=98--without-tests=E2=80=99 package transformation.  The =
snippet below
should do.

=2D-8<---------------cut here---------------start------------->8---
(lambda* (#:key tests? #:allow-other-keys)
  (when tests?
    (invoke "./libphonenumber_test")))
=2D-8<---------------cut here---------------end--------------->8---

> +    (inputs
> +     `(("boost" ,boost)
> +       ("googletest" ,googletest)
> +       ("protobuf" ,protobuf)
> +       ("icu4c" ,icu4c)))
> +    (home-page "https://github.com/google/libphonenumber")
> +    (synopsis "C++ library for phone number parsing")
> +    (description
> +     "@code{libphonenumber} is Google's common Java, C++ and JavaScript
> +library for parsing, formatting, and validating international phone numb=
ers.")
> +    (license license:asl2.0)))

For some reason the build is still not reproducible for me; I ran
diffoscope on the two outputs, and it produced 120 MB worth of output=E2=80=
=A6

Maybe a third person could test if the build is reproducible.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFUURcVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x54v0QAIyOlHGdy4ZlMXv282HZ89qE2eon
mTSSgWqBV2KOlBrW4Y+PKpMWfRH9MvqFGM+PANohgXDbDJzHJWqu7QJB0e0izojn
Bu7nDl+i0xH/SAu/A15/McV9fWGSbc3n2WFrG8xETYpY1aPpTjzAPcGlN6NlqHmX
GWJ+VlCFx9n0f3IkbNtFvGLCi+i0upMGBLsQazzwB8duOdFrvpwgspilJaRH6Vt7
4uQW8MsvkAKhXAw0pZevcHMf1R87TM0Ttbthpqb+cze6yeAzp5dIbUqYoRyXVdZQ
5PrbJhrSbnL7cptDtstIeCupYF8pX5/RF00Rwn8XV/9uWgiHl1xpLrbdjvkRK/Yx
k55hW8PiYYm2Mv9VfnKDi9ie+pLsbQnnnx8srWyV4av3kea6riTCrwD+z6a1DW/O
pungg0hnQ0MVqtSSlIUgRXiTaHg0OfMXLySSBuQQchKw8rjZqQVqt+1kyX4y6aU8
f1ZcF/Bw6pSZsrLg5IxltpcmKEKhPUoHPhfOdx49TG0rg9QGzJeK/csyFjzWnwlK
xLBbHybhww+SRUvDZwR62ZfN0CWn/V+LzsGu04676sJF48KWowP6/CTzV/RHlq1H
ZAfdBQuyyPNwCdNoTdFvaSLitfkSKPOnXbI9jxe63u1OaZodtv92X3GUv58SS79B
mRjmkcWz3ziR7w/S
=kdgw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2021 11:42:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 07:42:33 2021
Received: from localhost ([127.0.0.1]:47930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVXyr-0001N2-17
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:42:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:47860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mVXyk-0001Me-UR
 for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:42:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46380)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mVXyi-0000sw-Jj
 for guix-patches@HIDDEN; Wed, 29 Sep 2021 07:42:26 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:47280
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mVXyg-000465-On
 for guix-patches@HIDDEN; Wed, 29 Sep 2021 07:42:24 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1632915740;
 bh=EtseN51nB9zg8dnQHbY4+a7laxgnebkwo4cKxNIVsyM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=UGiR6DZo4GVUFEeyZZiE9b1tenFsxT/0PbZqyU9Qp4byxIIPeKhvt/BRJpukj7+Ne
 9nXJMG8iWperYkwKpn6+MMIz+kWIr5GBdB1FB++LQUAZ3CRqoK4IXELXQNfvAHmMT2
 W9JMXHgt7UE3Ay+xVVDWboN4N/bWy5bwtkApHKbI=
To: Antero Mejr via Guix-patches via <guix-patches@HIDDEN>,
 50796 <at> debbugs.gnu.org
Subject: Re: [bug#50796] [PATCH 1/2] gnu: Add libphonenumber.
In-Reply-To: <20210928205649.27328-2-antero@HIDDEN>
References: <20210928205649.27328-1-antero@HIDDEN>
 <20210928205649.27328-2-antero@HIDDEN>
Date: Wed, 29 Sep 2021 13:42:15 +0200
Message-ID: <87wnmz1uco.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 14
X-Spam_score: 1.4
X-Spam_bar: +
X-Spam_report: (1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.499,
 PDS_OTHER_BAD_TLD=1.999, PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:
 > * gnu/packages/telephony.scm (libphonenumber): New variable. > --- >
 gnu/packages/telephony.scm
 | 38 ++++++++++++++++++++++++++++++++++++++ > 1 file changed, 38 insertions(+)
 > > diff --git a/gnu/pa [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:
    > * gnu/packages/telephony.scm (libphonenumber): New variable. > --- > gnu/packages/telephony.scm
    | 38 ++++++++++++++++++++++++++++++++++++++ > 1 file changed, 38 insertions(+)
    > > diff --git a/gnu/pa [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Sep 28 2021, Antero Mejr via Guix-patches via wrote:

> * gnu/packages/telephony.scm (libphonenumber): New variable.
> ---
>  gnu/packages/telephony.scm | 38 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 38 insertions(+)
>
> diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
> index 48bbe12920..50b5790ae3 100644
> --- a/gnu/packages/telephony.scm
> +++ b/gnu/packages/telephony.scm
> @@ -20,6 +20,7 @@
>  ;;; Copyright =C2=A9 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN=
om>
>  ;;; Copyright =C2=A9 2020 Vincent Legoll <vincent.legoll@HIDDEN>
>  ;;; Copyright =C2=A9 2021 LibreMiami <packaging-guix@HIDDEN>
> +;;; Copyright =C2=A9 2021 Antero Mejr <antero@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -54,12 +55,14 @@
>    #:use-module (gnu packages documentation)
>    #:use-module (gnu packages file)
>    #:use-module (gnu packages protobuf)
> +  #:use-module (gnu packages gawk)
>    #:use-module (gnu packages gettext)
>    #:use-module (gnu packages gl)
>    #:use-module (gnu packages glib)
>    #:use-module (gnu packages gnome)
>    #:use-module (gnu packages gnupg)
>    #:use-module (gnu packages gtk)
> +  #:use-module (gnu packages icu4c)
>    #:use-module (gnu packages image)
>    #:use-module (gnu packages libcanberra)
>    #:use-module (gnu packages linphone)
> @@ -907,3 +910,38 @@ Initiation Protocol (SIP) and a multimedia framework=
.")
>  telephony functionality into custom Telegram clients.")
>      (home-page "https://github.com/zevlg/libtgvoip")
>      (license license:unlicense)))
> +
> +(define-public libphonenumber
> +  (package
> +    (name "libphonenumber")
> +    (version "8.12.33")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/google/libphonenumber")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +         (base32
> +          "0r12icyig6jy0v87j9n3w14acfa2yfckzzfbmnjx1hww6qc9ih25"))))
> +    (build-system cmake-build-system)
> +    (arguments
> +     `(#:phases
> +        (modify-phases %standard-phases
> +          (add-after 'unpack 'enter-dir
> +            (lambda _ (chdir "cpp")))
> +          (replace 'check
> +            (lambda _ (invoke "./libphonenumber_test"))))))

Great that you got the tests to run; however this =E2=80=98check=E2=80=99 p=
hase doesn=E2=80=99t
respect the =E2=80=98--without-tests=E2=80=99 package transformation.  The =
snippet below
should do.

=2D-8<---------------cut here---------------start------------->8---
(lambda* (#:key tests? #:allow-other-keys)
  (when tests?
    (invoke "./libphonenumber_test")))
=2D-8<---------------cut here---------------end--------------->8---

> +    (inputs
> +     `(("boost" ,boost)
> +       ("googletest" ,googletest)
> +       ("protobuf" ,protobuf)
> +       ("icu4c" ,icu4c)))
> +    (home-page "https://github.com/google/libphonenumber")
> +    (synopsis "C++ library for phone number parsing")
> +    (description
> +     "@code{libphonenumber} is Google's common Java, C++ and JavaScript
> +library for parsing, formatting, and validating international phone numb=
ers.")
> +    (license license:asl2.0)))

For some reason the build is still not reproducible for me; I ran
diffoscope on the two outputs, and it produced 120 MB worth of output=E2=80=
=A6

Maybe a third person could test if the build is reproducible.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFUURcVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x54v0QAIyOlHGdy4ZlMXv282HZ89qE2eon
mTSSgWqBV2KOlBrW4Y+PKpMWfRH9MvqFGM+PANohgXDbDJzHJWqu7QJB0e0izojn
Bu7nDl+i0xH/SAu/A15/McV9fWGSbc3n2WFrG8xETYpY1aPpTjzAPcGlN6NlqHmX
GWJ+VlCFx9n0f3IkbNtFvGLCi+i0upMGBLsQazzwB8duOdFrvpwgspilJaRH6Vt7
4uQW8MsvkAKhXAw0pZevcHMf1R87TM0Ttbthpqb+cze6yeAzp5dIbUqYoRyXVdZQ
5PrbJhrSbnL7cptDtstIeCupYF8pX5/RF00Rwn8XV/9uWgiHl1xpLrbdjvkRK/Yx
k55hW8PiYYm2Mv9VfnKDi9ie+pLsbQnnnx8srWyV4av3kea6riTCrwD+z6a1DW/O
pungg0hnQ0MVqtSSlIUgRXiTaHg0OfMXLySSBuQQchKw8rjZqQVqt+1kyX4y6aU8
f1ZcF/Bw6pSZsrLg5IxltpcmKEKhPUoHPhfOdx49TG0rg9QGzJeK/csyFjzWnwlK
xLBbHybhww+SRUvDZwR62ZfN0CWn/V+LzsGu04676sJF48KWowP6/CTzV/RHlq1H
ZAfdBQuyyPNwCdNoTdFvaSLitfkSKPOnXbI9jxe63u1OaZodtv92X3GUv58SS79B
mRjmkcWz3ziR7w/S
=kdgw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.

Message received at 50796 <at> debbugs.gnu.org:


Received: (at 50796) by debbugs.gnu.org; 28 Sep 2021 20:57:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 16:57:14 2021
Received: from localhost ([127.0.0.1]:47188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVKA6-0008OJ-DO
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:14 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:56084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antero@HIDDEN>) id 1mVKA2-0008Nk-3I
 for 50796 <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:10 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4HJsJJ16dBzQlWs
 for <50796 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 22:57:04 +0200 (CEST)
Authentication-Results: gerste.heinlein-support.de (amavisd-new);
 dkim=pass (2048-bit key) reason="pass (just generated, assumed good)"
 header.d=mailbox.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1632862623;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=kVda2M8rJ3I5ztqRaOiAmPnGhDfJ5CWc7pVyzxJG7iA=;
 b=oU03stZSQaVZX7hq3SICeSigB+oIpkT4e1BZJImpgrJvxyrapFyLyHg2YTwK68lYwq29BN
 LophFZZ/EnTw94gEybwJ3Q+99JLzL9qsThtUMYs3kqwOysWyR20q/XR9s4XbEs3O4eRFEo
 3Xea4VKABPrTILdVyh5GZjr6qcTIXhCoq5ZpBNAKeOiIwx7mg8m2kPUl2JsdDmP7sbwpW7
 g/N7rQEXmT4h3wvkcKI4lpIBju10PNInqAd0O50fn5SHP4XLhn/o0SRCDXTr99ygpQ3vR6
 PDQEooYyooou52/umW83jOLEskvM/cxe/ja/2tjv+EAQu7PTEa4SgWQrU3lN0w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:date:subject:subject:from:from:received; s=
 mail20150812; t=1632862622; bh=RzX1DZTPz6nEgVXKLKrxk/8x3L0mLh/rI
 9QaxBER1Vg=; b=M4zcjQQWPrlruG9ELyB3YS6FONRQCCTDt3dJsNVgBH7I4vQui
 wC0TYuIpQUXeH/TTX1XFSNree5jAFOHHGTotd71O17gMCP7ripwkyMmE5d7GCh5t
 u/J8LANgTBenHmRh4co2QgeVkX1aTbZpTHAjz9VjmM52SyL9jf8Epfiunwj4xYRO
 Q1D0OJ6a2ku6ehb+GEsbFVoMPBF5ihpZTthh/PKga+kWqnJ0mVPYlwCu1jQoU/L+
 e126prJAzblySre6mQmO2OgzlUp1dBVNtGx7pBTtN7CspUzcMcSwZhaPQq/5I1ER
 QYpn17apy7sy0vzSdNtmovn2o6+ewjsY4gpAA==
X-Virus-Scanned: amavisd-new at heinlein-support.de
From: Antero Mejr <antero@HIDDEN>
To: 50796 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: Add pn.
Date: Tue, 28 Sep 2021 16:56:49 -0400
Message-Id: <20210928205649.27328-3-antero@HIDDEN>
In-Reply-To: <20210928205649.27328-1-antero@HIDDEN>
References: <20210928205649.27328-1-antero@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: B80401839
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50796
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/telephony.scm (pn): New variable.
---
 gnu/packages/telephony.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 50b5790ae3..d30c8aa661 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -945,3 +945,38 @@ telephony functionality into custom Telegram clients.")
 library for parsing, formatting, and validating international phone numbers.")
     (license license:asl2.0)))
 
+(define-public pn
+  (package
+    (name "pn")
+    (version "0.9.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/Orange-OpenSource/pn")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1lvzb0yixj7wmmqzsri20k9nn3gf06j0yjvmg2mi1zihywq7s4dx"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f ; no tests
+       #:phases
+        (modify-phases %standard-phases
+         (add-after 'unpack 'sub-bin-path
+           (lambda _
+             (substitute* "CMakeLists.txt" (("DESTINATION \\$\\{AWKLIBPATH\\}")
+                                             "DESTINATION bin")))))))
+    (inputs
+     `(("libphonenumber" ,libphonenumber)
+       ("icu4c" ,icu4c)
+       ("protobuf" ,protobuf)
+       ("gawk" ,gawk)))
+    (home-page "https://github.com/Orange-OpenSource/pn")
+    (synopsis "Command-line validation tool for phone numbers")
+    (description
+     "@code{pn} provides a command line tool that allows users to operate on
+phone numbers (get validity information, reformat them, or extract
+numbers from a text snippet), using @code{libphonenumber}.")
+    (license license:asl2.0)))
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.

Message received at 50796 <at> debbugs.gnu.org:


Received: (at 50796) by debbugs.gnu.org; 28 Sep 2021 20:57:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 16:57:14 2021
Received: from localhost ([127.0.0.1]:47186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVKA5-0008OH-Un
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:14 -0400
Received: from mout-p-202.mailbox.org ([80.241.56.172]:41858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antero@HIDDEN>) id 1mVKA1-0008Nj-LE
 for 50796 <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:10 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4HJsJH7160zQk14
 for <50796 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 22:57:03 +0200 (CEST)
Authentication-Results: spamfilter02.heinlein-hosting.de (amavisd-new);
 dkim=pass (2048-bit key) reason="pass (just generated, assumed good)"
 header.d=mailbox.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1632862622;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gefl5fw8JWRwmqF6izeWg+SAsD7a8rgwYRrvjWIFZKQ=;
 b=TfBqC2MHs3Fiz2KuTja82UyxTOzmAmPQR2iqUe5otC81EGxVLBIQKptdZ4jbr72GF9bSWc
 qTd2X9lkdDAaniDYkYfOWZEzXjlq3F9OUXCuOz9RrIEPlJOk8Iv8bxoQRpVzc10LzIiKsb
 tyPAX56m4dZgUZol0Pt5++vAL7AFkg5aV/5ouVy0jcVej/s1gyZnxMmSI8scTLIumHazia
 F/zZOGNKipYK0o9jqj3LAcG/7mVmr5OvMyaSoi9z7p06kaDrjhNuJcUYLv01yyHQxn91ym
 Gk5H8SLglcC71tkiuOeCCC3m8b1JChACfvPcVg4AZmxnNIBDBOlkbwLplZIDHQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received; s=mail20150812; t=1632862620; bh=kAWSSR2+Iy
 g4aV234lx3dzgD+FmfJkYZMM8gK1+5KF4=; b=BY8XoJ4lrm05ePPdX0Lk5xlZxN
 Yr81XjQwEH1IEPDJRWhDX2BpCCw9leNDgYZQsL+BbjJpDkVoZlNncaWdRE/7QkAu
 puRj4wy7ubE1natQEZOMO1OcvGsMtdo2j7wRqdii2U/3dGw4OaYt/8CS24qyDsFb
 c3aJKS5YHQiA1JV/rmEB6IgzLCJkIf5t+8KHPRKQ/3DtY05baODuxQgU1thztufz
 H8n0QbzsN2CI2u4wyoOkHGPEQX84NNr/r/ios4RRN4h0FOVOlewq8ERnFEJNowmH
 lQgUEqIjCX5SuP3tphJG8dRqd7vDoB40bZoh5lKB/6HDb2LixKxhFWEJ3LgQ==
X-Virus-Scanned: amavisd-new at heinlein-support.de
From: Antero Mejr <antero@HIDDEN>
To: 50796 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: Add libphonenumber.
Date: Tue, 28 Sep 2021 16:56:48 -0400
Message-Id: <20210928205649.27328-2-antero@HIDDEN>
In-Reply-To: <20210928205649.27328-1-antero@HIDDEN>
References: <20210928205649.27328-1-antero@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: 34D49181B
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50796
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/telephony.scm (libphonenumber): New variable.
---
 gnu/packages/telephony.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 48bbe12920..50b5790ae3 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 LibreMiami <packaging-guix@HIDDEN>
+;;; Copyright © 2021 Antero Mejr <antero@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,12 +55,14 @@
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages file)
   #:use-module (gnu packages protobuf)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages icu4c)
   #:use-module (gnu packages image)
   #:use-module (gnu packages libcanberra)
   #:use-module (gnu packages linphone)
@@ -907,3 +910,38 @@ Initiation Protocol (SIP) and a multimedia framework.")
 telephony functionality into custom Telegram clients.")
     (home-page "https://github.com/zevlg/libtgvoip")
     (license license:unlicense)))
+
+(define-public libphonenumber
+  (package
+    (name "libphonenumber")
+    (version "8.12.33")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/google/libphonenumber")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+         (base32
+          "0r12icyig6jy0v87j9n3w14acfa2yfckzzfbmnjx1hww6qc9ih25"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:phases
+        (modify-phases %standard-phases
+          (add-after 'unpack 'enter-dir
+            (lambda _ (chdir "cpp")))
+          (replace 'check
+            (lambda _ (invoke "./libphonenumber_test"))))))
+    (inputs
+     `(("boost" ,boost)
+       ("googletest" ,googletest)
+       ("protobuf" ,protobuf)
+       ("icu4c" ,icu4c)))
+    (home-page "https://github.com/google/libphonenumber")
+    (synopsis "C++ library for phone number parsing")
+    (description
+     "@code{libphonenumber} is Google's common Java, C++ and JavaScript
+library for parsing, formatting, and validating international phone numbers.")
+    (license license:asl2.0)))
+
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.

Message received at 50796 <at> debbugs.gnu.org:


Received: (at 50796) by debbugs.gnu.org; 28 Sep 2021 20:57:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 16:57:07 2021
Received: from localhost ([127.0.0.1]:47178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVK9z-0008Nt-Oz
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:07 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:40970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antero@HIDDEN>) id 1mVK9y-0008NN-43
 for 50796 <at> debbugs.gnu.org; Tue, 28 Sep 2021 16:57:06 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4HJsJD1gl2zQjvp
 for <50796 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 22:57:00 +0200 (CEST)
Authentication-Results: spamfilter05.heinlein-hosting.de (amavisd-new);
 dkim=pass (2048-bit key) reason="pass (just generated, assumed good)"
 header.d=mailbox.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1632862619;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=19704WD8R3+4o07N+l3wpcufSwnpCXcSNZDIFu2iFiE=;
 b=FkUTwClNkeoqtzt9K8CiXnvDganhIJ0sIauxlcnHkermBDwDRaONuT+PZqV/PRTrY5/M1M
 HEB+wIFOiReClRs/aNeSDn4uF/TPdZHRoR7b57GgCl9wTXc/JuCT12VqIdh2sL1YtIniNc
 5gC9+27S0IQ+sBbG+TV5ApjBzmiMwT6IxWijsL3q3Cr/3K/WLz4J+BKff62bXXbSOT8eXj
 uqreYw74WJ9X5KdrasXN9LsPFPQMQIM1qegJHP8wrfB7+xdmwmPrPr6kbUjFGpwVbt3eew
 8qQvkHXL26xwyvBfOVPA47ONsVVFoGnsa8+hASlEnqVVn4D4IrZsz0aCHeyxDw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received; s=
 mail20150812; t=1632862618; bh=19704WD8R3+4o07N+l3wpcufSwnpCXcSN
 ZDIFu2iFiE=; b=ufxniJiGTgEpWKuvez5I47sh8io9OEh7vccS8NN+i+RnFpQ1e
 0cXDaIO7AXrAlZtgkcpfh1e4aoF2tbnDdGpmuWNOu3jUYzwU1QxNOmOXwuZDMk7m
 S7UFL6X3czGJBJzWPKi/DcMLSdr42wTHh9ei9Q997uSt13sa8mb+J2GiF0yHYUF7
 oirnEwuNthXvC1vbhBRXIUW+TnhUHCE9NQnVaYmBHLUF79YtHqZg1DhBvtrSHkV6
 VfpAD5QWH6eydaDLlj2eiQmXmo3zyTM7YbvqID0xwuRuW4Vc52OOcxqDmbwdfRGF
 RmrH5FqjfP+94YYcDAekMxh2vZ/OE2JtcLlRQ==
X-Virus-Scanned: amavisd-new at heinlein-support.de
From: Antero Mejr <antero@HIDDEN>
To: 50796 <at> debbugs.gnu.org
Subject: [PATCH 0/2] Add pn.
Date: Tue, 28 Sep 2021 16:56:47 -0400
Message-Id: <20210928205649.27328-1-antero@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: C3CF41813
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50796
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thanks for the suggestions Xinglu, I updated with the changes.

> The package doesn’t seem to be reproducible; ‘guix build libphonenumber
> --rounds=2’ fails

libphonenumber reproduces on my main computer, I can try again with a different one later:
successfully built /gnu/store/dyf2a70slkvfxf4qcims3q69a51ydb0x-libphonenumber-8.12.33.drv
successfully built /gnu/store/dyf2a70slkvfxf4qcims3q69a51ydb0x-libphonenumber-8.12.33.drv




Information forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2021 05:41:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 01:41:31 2021
Received: from localhost ([127.0.0.1]:60082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU0RC-0003nh-GG
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 01:41:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:34294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antero@HIDDEN>) id 1mTyMv-00062O-TY
 for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:28:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39826)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <antero@HIDDEN>)
 id 1mTyMv-0003CL-Lb
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 23:28:53 -0400
Received: from mout-p-103.mailbox.org ([80.241.56.161]:13384)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <antero@HIDDEN>)
 id 1mTyMs-00074f-JV
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 23:28:52 -0400
Received: from smtp102.mailbox.org (smtp102.mailbox.org [80.241.60.233])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4HGZB45JGhzQkFb
 for <guix-patches@HIDDEN>; Sat, 25 Sep 2021 05:28:44 +0200 (CEST)
Authentication-Results: hefe.heinlein-support.de (amavisd-new);
 dkim=pass (2048-bit key) reason="pass (just generated, assumed good)"
 header.d=mailbox.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1632540522;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=DRLd7n/ZaJlrTXG9iauxyVMTkB02bjYAZCdFMW26RkE=;
 b=GCpwI9mYLsa+fLb7bf+kpkk1dX8qePMA9JytMu+MlrjCOeKYHmUK8bTq0JebK86OeIyB/y
 tAyZYh4EUSPtBPHFW3FsbZoLP7GC/qoQeMM1nUzbIrYukAAvz+zjuyDkWzLBrxxHxwDjOV
 /B0gXi+xPnHMAcptz7QsP82V2WSOeDESe66xlC/InoOI3/Hi+bkcoW4+MvdJUtzgf0lPFU
 ov02EAkUV7PfSeWVV94o18VjKMVBVsXTZiN3bpmhF4R+DimKBou4NzSJ13VJ7oTiCRQGAa
 1YdyGVWbkoe+YKOQ54C7jGDPBXu+piekm70ZnU8WE5NyDR0+ZUL48bGWoyYmeg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received; s=
 mail20150812; t=1632540520; bh=JYHZxwmMs+G3jh6lbKN5/f9NxEFmz7QfE
 ZKKseFOZ+Y=; b=jzA9rtnOpgGooYtNV4OBEmyGOqGEaNI9pZkPTAfFKOBEaKwXx
 rNFgAE02kOhXGzFWHg9uUqmTh8tSPid7VFptVfUieopvjP2PBSU3w+W/5zuqGQ2+
 7frxJnumsyEeJwgofUJaRbE2R6OHEUynCzRDozQ5+62liENWPcau1LyD08PsFrzF
 0m4MwRUuvCY9DOQel8r4kCRwURAQExEmcWe8Bk3vmGr8WIeHHKJ5sB/KiVcGbi5x
 ygmv2GlngFrwIqsC8HQwQaJJpNcEiIVQ/JfLcCTs5ZzD697RCi108UsZa3sTtycU
 ksUPMLqUtKCzPCoMYC/wNyPO2S2I4xjSFBDcQ==
X-Virus-Scanned: amavisd-new at heinlein-support.de
From: Antero Mejr <antero@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add pn.
Date: Fri, 24 Sep 2021 23:28:15 -0400
Message-Id: <20210925032815.68194-1-antero@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: 57B9926F
Received-SPF: pass client-ip=80.241.56.161; envelope-from=antero@HIDDEN;
 helo=mout-p-103.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 25 Sep 2021 01:41:24 -0400
Cc: Antero Mejr <antero@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/telephony.scm (pn): New variable.
---
Add pn and its dependencies.
It's a phone number CLI tool used by Linux phone GUIs like SXMO.

 gnu/packages/telephony.scm | 72 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 48bbe12920..9015cf536a 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 LibreMiami <packaging-guix@HIDDEN>
+;;; Copyright © 2021 Antero Mejr <antero@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,12 +55,14 @@
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages file)
   #:use-module (gnu packages protobuf)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages icu4c)
   #:use-module (gnu packages image)
   #:use-module (gnu packages libcanberra)
   #:use-module (gnu packages linphone)
@@ -907,3 +910,72 @@ Initiation Protocol (SIP) and a multimedia framework.")
 telephony functionality into custom Telegram clients.")
     (home-page "https://github.com/zevlg/libtgvoip")
     (license license:unlicense)))
+
+(define-public libphonenumber
+  (package
+    (name "libphonenumber")
+    (version "8.12.33")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/google/libphonenumber")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+         (base32
+          "0r12icyig6jy0v87j9n3w14acfa2yfckzzfbmnjx1hww6qc9ih25"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f
+       #:phases
+        (modify-phases %standard-phases
+          (add-after 'unpack 'enter-dir
+            (lambda _ (chdir "cpp") #t)))))
+    (inputs
+     `(("boost" ,boost)
+       ("googletest" ,googletest)
+       ("protobuf" ,protobuf)
+       ("icu4c" ,icu4c)))
+    (home-page "https://github.com/google/libphonenumber")
+    (synopsis "C++ library for phone number parsing")
+    (description
+     "libphonenumber is Google's common Java, C++ and JavaScript library for
+parsing, formatting, and validating international phone numbers.")
+    (license license:asl2.0)))
+
+(define-public pn
+  (package
+    (name "pn")
+    (version "0.9.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/Orange-OpenSource/pn")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1lvzb0yixj7wmmqzsri20k9nn3gf06j0yjvmg2mi1zihywq7s4dx"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f
+       #:phases
+        (modify-phases %standard-phases
+         (add-after 'unpack 'sub-bin-path
+           (lambda _
+             (substitute* "CMakeLists.txt" (("DESTINATION \\$\\{AWKLIBPATH\\}")
+                                             "DESTINATION bin")))))))
+    (inputs
+     `(("libphonenumber" ,libphonenumber)
+       ("icu4c" ,icu4c)
+       ("protobuf" ,protobuf)
+       ("gawk" ,gawk)))
+    (home-page "https://github.com/Orange-OpenSource/pn")
+    (synopsis "Command-line validation tool for phone numbers")
+    (description
+     "pn is a tool that allows command line user/programmers to operate on
+phone numbers (get validity information, reformat them, or extract numbers
+from a text snippet), using libphonenumber.")
+    (license license:asl2.0)))
-- 
2.30.2





Acknowledgement sent to Antero Mejr <antero@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50796; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Sep 2021 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.